更新到WordPress 4.9.8

2018年8月7日16:30:39 发表评论 430

WordPress 4.9.8如期发布,常规的修正各种BUG和安全漏洞,建议立即升级。

升级成功后,在仪表盘页面会显示一个“A new, modern publishing experience is coming soon(一种新的、现代的出版体验即将到来。)”面板,这是在说新的编辑器Gutenberg即将到来,虽然没有集成在4.9.8版中,但下一版本会作为默认编辑器。下面说说这个Gutenberg(古腾堡)编辑器。

更新到WordPress 4.9.8

 

Gutenberg(古腾堡)编辑器,以类似页面构器的模式编辑文章和页面,方便使用者以“区块”方式灵活搭建页面内容,据开发者说用来替代WordPress使用多年的“短代码”功能,但不影响之前添加的短代码。目前Gutenberg(古腾堡)编辑器以插件的形式还在研发中,可以在后台搜索安装Gutenberg插件,下面是启用后的编辑器界面。

更新到WordPress 4.9.8

 

可能你和我一样,会感觉很不习惯,之前添加的一些编辑器增强功能也将全部消失,杯具.....

在Gutenberg插件页面,用户留言反馈该编辑器不好用、不习惯、不应该作为WP默认编辑器使用,只作为一款增强插件存在就够了。

如果不喜欢这个编辑器或者你的主题和插件不能兼容,WP官方也给了个解决办法,可以通过安装“Classic Editor plugin ”插件,切换回原来的TinyMCE编辑器。

另外,Gutenberg应该调用了REST API,这个功能可能会被DDOS 攻击所利用,如果你禁用了,将无法使用Gutenberg。

我在测试Gutenberg插件时,出现了用插件禁用另一个插件的尴尬情况,多此一举。

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: